extern char diag_buffer[512];
extern boolean diagnostics_on;
extern boolean display_on;

extern void log_console_event(char * event);
extern void tell(char * S);
extern void redraw_messages(void);
extern void draw_diagnostic_key(void);
extern void check_diag(coord X,coord Y);
extern void draw_diagnostic_key(void);
extern void diag_init(void);


#define tell_new_state(dummy) if(diagnostics_on) diag_state()
#define tell_op(mask) if(diagnostics_on) diag_op(mask)

/* Mask values */

/* Report A-field for instructions of length 1,4,5,7,8 */
#define op_A 1

/* Report B-field for instructions of length 1,4,7,8 */
#define op_B 2

/* Report d-character for instructions of length 1,2,5,8 */
#define op_d 4

/* Device designator for instructions of length 8 */

#define op_U 8
